Get a LinkedIn message
curl --request GET \
--url https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "linkedin_message",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"type": "manual",
"status": "sent",
"conversationId": "<string>",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"happenedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}LinkedIn
Get a LinkedIn message
Retrieves a single LinkedIn message by its ID.
GET
/
inbox
/
linkedin
/
messages
/
{linkedinMessageId}
Get a LinkedIn message
curl --request GET \
--url https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/inbox/linkedin/messages/{linkedinMessageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "linkedin_message",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"type": "manual",
"status": "sent",
"conversationId": "<string>",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"happenedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Authorizations
API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.
Path Parameters
The UUID of the LinkedIn message.
Response
The LinkedIn message object
Unique identifier for the object.
The type of this object.
Available options:
linkedin_message Timestamp when the object was created.
Timestamp when the object was last updated.
The message text content.
The type of the LinkedIn message.
Available options:
manual, campaign, reply_agent, received The status of the LinkedIn message.
Available options:
sent, draft The LinkedIn conversation ID.
The ID of the prospect associated with this message.
The ID of the rep associated with this message.
Timestamp when the message was sent or received.